%define debug_package %{nil} 


Name:		libhibr
Version:	20200820
Release:	1%{?dist}
Summary:	Library to access the Windows Hibernation File (hiberfil.sys) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libhibr/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool fuse-devel

%description
libhibr is a library to access the Windows Hibernation File (hiberfil.sys) format

%package devel
Summary: Header files and libraries for developing applications for libhibr
Group: Development/Libraries
Requires: libhibr = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description devel
Header files and libraries for developing applications for libhibr.

%package tools
Summary: Several tools for reading Windows Hibernation Files (hiberfil.sys)
Group: Applications/System
Requires: libhibr = %{version}-%{release} fuse-libs
BuildRequires: fuse-devel

%description tools
Several tools for reading Windows Hibernation Files (hiberfil.sys)

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhibr.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/hibrinfo
%attr(755,root,root) %{_bindir}/hibrmount
%{_mandir}/man1/*

%changelog
* Thu Aug 20 2020 Lawrence R. Rogers <lrr@cert.org> 20200820-01
* Release 20200820-01
	Version from 20200820

* Thu Nov  1 2018 Lawrence R. Rogers <lrr@cert.org> 20181101-01
* Release 20181101-01
	Version from 20181101

* Tue Jul  4 2017 Joachim Metz <joachim.metz@gmail.com> 20170530-1
- Auto-generated

